services:
  ps_eventbus.context:
    class: 'Context'
    public: true
    factory: ['PrestaShop\Module\PsEventbus\Factory\ContextFactory', 'getContext']

  ps_eventbus.controller:
    class: 'Controller'
    public: true
    factory: ['PrestaShop\Module\PsEventbus\Factory\ContextFactory', 'getController']

  ps_eventbus.cookie:
    class: 'Cookie'
    public: true
    factory: ['PrestaShop\Module\PsEventbus\Factory\ContextFactory', 'getCookie']

  ps_eventbus.language:
    class: 'Language'
    public: true
    factory: ['PrestaShop\Module\PsEventbus\Factory\ContextFactory', 'getLanguage']

  ps_eventbus.currency:
    class: 'Currency'
    public: true
    factory: ['PrestaShop\Module\PsEventbus\Factory\ContextFactory', 'getCurrency']

  ps_eventbus.smarty:
    class: 'Smarty'
    public: true
    factory: ['PrestaShop\Module\PsEventbus\Factory\ContextFactory', 'getSmarty']

  ps_eventbus.shop:
    class: 'Shop'
    public: true
    factory: ['PrestaShop\Module\PsEventbus\Factory\ContextFactory', 'getShop']

  ps_eventbus.link:
    class: 'Link'
    public: true
    factory: ['PrestaShop\Module\PsEventbus\Factory\ContextFactory', 'getLink']
